
# I love OpenSource :-(

%define name		nvidia-96xx
%define version		96.43.18
%define rel		2

%define priority	9600

# pkg0: plain archive
# pkg1: + precompiled modules
# pkg2: + 32bit compatibility libraries
%define pkgname32	NVIDIA-Linux-x86-%{version}-pkg0
%define pkgname64	NVIDIA-Linux-x86_64-%{version}-pkg2

%define drivername		nvidia96xx
%define driverpkgname		x11-driver-video-nvidia96xx
%define modulename		%{drivername}
%define xorg_libdir		%{_libdir}/xorg
%define xorg_extra_modules	%{_libdir}/xorg/extra-modules
%define nvidia_driversdir	%{_libdir}/%{drivername}/xorg
%define nvidia_extensionsdir	%{_libdir}/%{drivername}/xorg
%define nvidia_modulesdir	%{_libdir}/%{drivername}/xorg
%define nvidia_libdir		%{_libdir}/%{drivername}
%define nvidia_libdir32		%{_prefix}/lib/%{drivername}
%define nvidia_bindir		%{nvidia_libdir}/bin
%define nvidia_deskdir		%{_datadir}/%{drivername}
%define nvidia_xvmcconfdir	%{_sysconfdir}/%{drivername}
%define nvidia_xinitdir         %{_sysconfdir}/%{drivername}
%define ld_so_conf_dir		%{_sysconfdir}/%{drivername}
%define ld_so_conf_file		ld.so.conf

%define biarches x86_64
%ifarch %{ix86}
%define nsource %{SOURCE0}
%define pkgname %{pkgname32}
%endif
%ifarch x86_64
%define nsource %{SOURCE1}
%define pkgname %{pkgname64}
%endif

# Other packages should not require any NVIDIA libraries, and this package
# should not be pulled in when libGL.so.1 is required
%define _provides_exceptions \\.so
%define common_requires_exceptions libGLcore\\.so\\|libnvidia-tls\\.so

%ifarch %{biarches}
# (anssi) Allow installing of 64-bit package if the runtime dependencies
# of 32-bit libraries are not satisfied. If a 32-bit package that requires
# libGL.so.1 is installed, the 32-bit mesa libs are pulled in and that will
# pull the dependencies of 32-bit nvidia libraries in as well.
%define _requires_exceptions %common_requires_exceptions\\|lib.*so\\.[^(]\\+\\(([^)]\\+)\\)\\?$
%else
%define _requires_exceptions %common_requires_exceptions
%endif

Summary:	NVIDIA proprietary X.org driver and libraries for most GF2/3/4 class cards
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
Source0:	ftp://download.nvidia.com/XFree86/Linux-x86/%{version}/%{pkgname32}.run
Source1:	ftp://download.nvidia.com/XFree86/Linux-x86_64/%{version}/%{pkgname64}.run
# GPLv2 source code; see also http://cgit.freedesktop.org/~aplattner/
Source2:	ftp://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-%{version}.tar.gz
Source3:	ftp://download.nvidia.com/XFree86/nvidia-xconfig/nvidia-xconfig-%{version}.tar.gz
# -Werror=format-string
Patch0:		nvidia-settings-format-string.patch
# https://qa.mandriva.com/show_bug.cgi?id=39921
Patch1:		nvidia-settings-enable-dyntwinview-mga.patch
# --as-needed + --no-undefined
Patch2:		nvidia-xconfig-ldflags-order.patch
# Understand Disable keyword in xorg.conf, from upstream 190.40:
Patch4:		nvidia-xf86config-parser-add-disable-keyword.patch
# (tpg) in 2010.1+ X_XF86VidModeGetGammaRampSize is in xf86vmproto.h and not in xf86vmode.h
Patch5:		nvidia-settings-1.0-missing-header.patch
License:	Freeware
BuildRoot:	%{_tmppath}/%{name}-buildroot
URL:		http://www.nvidia.com/object/unix.html
Group: 		System/Kernel and hardware
ExclusiveArch:	%{ix86} x86_64
BuildRequires:	ImageMagick
BuildRequires:  gtk+2-devel
BuildRequires:  libxxf86vm-devel
BuildRequires:	MesaGL-devel
BuildRequires:	libxv-devel
%if "%{driverpkgname}" == "nvidia"
# old nvidia package had different versioning
Epoch:		1
%endif

%description
Source package of the 96xx legacy NVIDIA proprietary driver series.
Binary packages are named x11-driver-video-nvidia96xx.

%package -n %{driverpkgname}
Summary:	NVIDIA proprietary X.org driver and libraries for most GF2/3/4 class cards
Group:		System/Kernel and hardware
Requires(post): update-alternatives >= 1.9.0
Requires(postun): update-alternatives >= 1.9.0
Suggests:	%{drivername}-doc-html
Requires:       kmod(%{modulename}) = %{version}
Provides:	NVIDIA_GLX
Obsoletes:	nvidia96xx < %{version}-%{release}
Provides:	nvidia96xx = %{version}-%{release}

%description -n %{driverpkgname}
NVIDIA proprietary X.org graphics driver, related libraries and
configuration tools for most NVIDIA GeForce2/3/4 class video cards.

NOTE: You should use XFdrake to configure your NVIDIA card. The
correct packages will be automatically installed and configured.

If you do not want to use XFdrake, see README.manual-setup.

This NVIDIA driver should be used with GeForce 3, GeForce4 and
GeForce 2 MX cards.

%package -n dkms-%{drivername}
Summary:	NVIDIA kernel module for most GF2/3/4 class cards
Group:		System/Kernel and hardware
Requires:	dkms
Requires(post):	dkms
Requires(preun): dkms
Requires:	%{driverpkgname} = %{version}

%description -n dkms-%{drivername}
NVIDIA kernel module for most NVIDIA GeForce2/3/4 class video cards.
This is to be used with the %{name} package.

%package -n %{drivername}-devel
Summary:	NVIDIA static XVMC library and headers for most GF2/3/4 cards
Group:		Development/C
Requires:	%{driverpkgname} = %{version}-%{release}

%description -n %{drivername}-devel
NVIDIA XvMC static development library and OpenGL headers for most
NVIDIA GeForce2/3/4 class video cards. This package is not required
for normal use.

%package -n %{drivername}-doc-html
Summary:	NVIDIA html documentation (%{drivername})
Group:		System/Kernel and hardware
Requires:	%{driverpkgname} = %{version}-%{release}

%description -n %{drivername}-doc-html
HTML version of the README.txt file provided in package
%{driverpkgname}.

%prep
%setup -q -c -T -a 2 -a 3
sh %{nsource} --extract-only
%patch0 -p0
%patch1 -p0
%patch2 -p0

cd nvidia-settings-1.0
%patch4 -p1
%patch5 -p1
cd ..
cd nvidia-xconfig-1.0
%patch4 -p2
cd ..

rm -rf %{pkgname}/usr/src/nv/precompiled

cat > README.install.urpmi <<EOF
This driver is for GeForce 3, GeForce 4 and GeForce 2 MX cards.

Use XFdrake to configure X to use the correct NVIDIA driver. Any needed
packages will be automatically installed if not already present.
1. Run XFdrake as root.
2. Go to the Graphics Card list.
3. Select your card (it is usually already autoselected).
4. Answer any questions asked and then quit.

If you do not want to use XFdrake, see README.manual-setup.
EOF

cat > README.manual-setup <<EOF
This file describes the procedure for the manual installation of this NVIDIA
driver package. You can find the instructions for the recommended automatic
installation in the file 'README.install.urpmi' in this directory.

- Open %{_sysconfdir}/X11/xorg.conf and make the following changes:
  o Change the Driver to "nvidia" in the Device section
  o Make the line below the only 'glx' related line in the Module section:
      Load "glx"
  o Remove any 'ModulePath' lines from the Files section
- Run "update-alternatives --set gl_conf %{ld_so_conf_dir}/%{ld_so_conf_file}" as root.
- Run "ldconfig -X" as root.
EOF

mv %{pkgname}/usr/share/doc/html html-doc

# It wants to link Xxf86vm statically (presumably because it is somewhat more
# rare than the other dependencies)
sed -i 's|-Wl,-Bstatic||' nvidia-settings-1.0/Makefile
sed -i 's|-O ||' nvidia-settings-1.0/Makefile
sed -i 's|-O ||' nvidia-xconfig-1.0/Makefile
rm nvidia-settings-1.0/src/*/*.a

%build
pushd nvidia-settings-1.0
pushd src/libXNVCtrl
#contains Imakefile file which does not seem to work
gcc %{optflags} -c -o NVCtrl.o NVCtrl.c
ar rv libXNVCtrl.a NVCtrl.o
ranlib libXNVCtrl.a
popd
%make CFLAGS="%optflags" LDFLAGS="%{?ldflags}"
popd

pushd nvidia-xconfig-1.0
%make CFLAGS="%optflags %{?ldflags} -IXF86Config-parser"
popd

%install
rm -rf %{buildroot}
cd %{pkgname}/usr

# dkms
install -d -m755 %{buildroot}%{_usrsrc}/%{drivername}-%{version}-%{release}
install -m644 src/nv/* %{buildroot}%{_usrsrc}/%{drivername}-%{version}-%{release}
chmod 0755 %{buildroot}%{_usrsrc}/%{drivername}-%{version}-%{release}/conftest.sh

#install -d -m755 %{buildroot}%{_usrsrc}/%{drivername}-%{version}-%{release}/patches
#install -m644 %{_sourcedir}/some.patch \
#              %{buildroot}%{_usrsrc}/%{drivername}-%{version}-%{release}/patches

cat > %{buildroot}%{_usrsrc}/%{drivername}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%{drivername}"
PACKAGE_VERSION="%{version}-%{release}"
BUILT_MODULE_NAME[0]="nvidia"
DEST_MODULE_LOCATION[0]="/kernel/drivers/char/drm"
DEST_MODULE_NAME[0]="%{modulename}"
MAKE[0]="make IGNORE_XEN_PRESENCE=1 SYSSRC=\${kernel_source_dir} module"
CLEAN="make -f Makefile.kbuild clean"
AUTOINSTALL="yes"
MAKE[0]="make IGNORE_XEN_PRESENCE=1 SYSSRC=\${kernel_source_dir} module"
EOF

# OpenGL headers
install -d -m755	%{buildroot}%{_includedir}/%{drivername}
cp -a include/*		%{buildroot}%{_includedir}/%{drivername}

# install binaries
install -d -m755	%{buildroot}%{nvidia_bindir}
install -m755 bin/*	%{buildroot}%{nvidia_bindir}
rm %{buildroot}%{nvidia_bindir}/{makeself.sh,mkprecompiled,tls_test,tls_test_dso.so}
install -m755 ../../nvidia-settings-1.0/nvidia-settings %{buildroot}%{nvidia_bindir}
install -m755 ../../nvidia-xconfig-1.0/nvidia-xconfig %{buildroot}%{nvidia_bindir}
install -d -m755			%{buildroot}%{_bindir}
touch					%{buildroot}%{_bindir}/nvidia-settings
touch					%{buildroot}%{_bindir}/nvidia-xconfig
touch					%{buildroot}%{_bindir}/nvidia-bug-report.sh
# rpmlint:
chmod 0755				%{buildroot}%{_bindir}/*

# install man pages
install -d -m755		%{buildroot}%{_mandir}/man1
install -m644 share/man/man1/*	%{buildroot}%{_mandir}/man1
rm %{buildroot}%{_mandir}/man1/nvidia-installer.1*
rm %{buildroot}%{_mandir}/man1/nvidia-settings.1*
rm %{buildroot}%{_mandir}/man1/nvidia-xconfig.1*
install -m755 ../../nvidia-settings-1.0/doc/nvidia-settings.1 %{buildroot}%{_mandir}/man1
install -m755 ../../nvidia-xconfig-1.0/nvidia-xconfig.1 %{buildroot}%{_mandir}/man1
# bug #41638 - whatis entries of nvidia man pages appear wrong
gunzip %{buildroot}%{_mandir}/man1/*.gz || :
sed -r -i '/^nvidia\\-[a-z]+ \\- NVIDIA/s,^nvidia\\-,nvidia-,' %{buildroot}%{_mandir}/man1/*.1
cd %{buildroot}%{_mandir}/man1
rename nvidia alt-%{drivername} *
cd -
touch %{buildroot}%{_mandir}/man1/nvidia-xconfig.1%{_extension}
touch %{buildroot}%{_mandir}/man1/nvidia-settings.1%{_extension}

install -d -m755 %{buildroot}%{nvidia_deskdir}
cat > %{buildroot}%{nvidia_deskdir}/mageia-nvidia-settings.desktop <<EOF
[Desktop Entry]
Name=NVIDIA Display Settings
Comment=Configure NVIDIA X driver
Exec=%{_bindir}/nvidia-settings
Icon=%{drivername}-settings
Terminal=false
Type=Application
Categories=GTK;Settings;HardwareSettings;X-MandrivaLinux-System-Configuration;
EOF

install -d -m755	%{buildroot}%{_datadir}/applications
touch			%{buildroot}%{_datadir}/applications/mageia-nvidia-settings.desktop

# icons
install -d -m755 %{buildroot}/%{_miconsdir} %{buildroot}/%{_iconsdir} %{buildroot}/%{_liconsdir}
convert share/pixmaps/nvidia-settings.png -resize 16x16 %{buildroot}/%{_miconsdir}/%{drivername}-settings.png
convert share/pixmaps/nvidia-settings.png -resize 32x32 %{buildroot}/%{_iconsdir}/%{drivername}-settings.png
convert share/pixmaps/nvidia-settings.png -resize 48x48 %{buildroot}/%{_liconsdir}/%{drivername}-settings.png

# install libraries
install -d -m755						%{buildroot}%{nvidia_libdir}/tls
install -m755 lib/tls/*						%{buildroot}%{nvidia_libdir}/tls
install -m755 lib/*.*						%{buildroot}%{nvidia_libdir}
install -m755 X11R6/lib/*.*					%{buildroot}%{nvidia_libdir}
rm								%{buildroot}%{nvidia_libdir}/*.la
/sbin/ldconfig -n						%{buildroot}%{nvidia_libdir}
%ifarch %{biarches}
install -d -m755						%{buildroot}%{nvidia_libdir32}/tls
install -m755 lib32/tls/*					%{buildroot}%{nvidia_libdir32}/tls
install -m755 lib32/*.*						%{buildroot}%{nvidia_libdir32}
rm								%{buildroot}%{nvidia_libdir32}/*.la
/sbin/ldconfig -n						%{buildroot}%{nvidia_libdir32}
%endif

# create devel symlinks
for file in %{buildroot}%{nvidia_libdir}/*.so.*.* \
%ifarch %{biarches}
	%{buildroot}%{nvidia_libdir32}/*.so.*.* \
%endif
; do
	symlink=${file%%.so*}.so
	[ -e $symlink ] && continue
	# only provide symlinks that the installer does
	grep -q "^$(basename $symlink) " ../.manifest || continue
	ln -s $(basename $file) $symlink
done

# install X.org files
install -d -m755				%{buildroot}%{nvidia_extensionsdir}
install -m755 X11R6/lib/modules/extensions/*	%{buildroot}%{nvidia_extensionsdir}
ln -s libglx.so.%{version}			%{buildroot}%{nvidia_extensionsdir}/libglx.so
install -d -m755				%{buildroot}%{nvidia_driversdir}
install -m755 X11R6/lib/modules/drivers/*	%{buildroot}%{nvidia_driversdir}

# ld.so.conf
install -d -m755		%{buildroot}%{ld_so_conf_dir}
echo "%{nvidia_libdir}" >	%{buildroot}%{ld_so_conf_dir}/%{ld_so_conf_file}
%ifarch %{biarches}
echo "%{nvidia_libdir32}" >>	%{buildroot}%{ld_so_conf_dir}/%{ld_so_conf_file}
%endif
install -d -m755		%{buildroot}%{_sysconfdir}/ld.so.conf.d
touch				%{buildroot}%{_sysconfdir}/ld.so.conf.d/GL.conf

# modprobe.conf
install -d -m755			%{buildroot}%{_sysconfdir}/modprobe.d
touch					%{buildroot}%{_sysconfdir}/modprobe.d/display-driver.conf
echo "install nvidia /sbin/modprobe %{modulename} \$CMDLINE_OPTS" > %{buildroot}%{_sysconfdir}/%{drivername}/modprobe.conf

# XvMCConfig
install -d -m755 %{buildroot}%{nvidia_xvmcconfdir}
echo "libXvMCNVIDIA_dynamic.so.1" > %{buildroot}%{nvidia_xvmcconfdir}/XvMCConfig

# xinit script
install -d -m755 %{buildroot}%{nvidia_xinitdir}
cat > %{buildroot}%{nvidia_xinitdir}/nvidia-settings.xinit <<EOF
# to be sourced
#
# Do not modify this file; the changes will be overwritten.
# If you want to disable automatic configuration loading, create
# /etc/sysconfig/nvidia-settings with this line: LOAD_NVIDIA_SETTINGS="no"
#
LOAD_NVIDIA_SETTINGS="yes"
[ -f %{_sysconfdir}/sysconfig/nvidia-settings ] && . %{_sysconfdir}/sysconfig/nvidia-settings
[ "\$LOAD_NVIDIA_SETTINGS" = "yes" ] && %{_bindir}/nvidia-settings --load-config-only
EOF
chmod 0755 %{buildroot}%{nvidia_xinitdir}/nvidia-settings.xinit
install -d -m755 %{buildroot}%{_sysconfdir}/X11/xinit.d
touch %{buildroot}%{_sysconfdir}/X11/xinit.d/nvidia-settings.xinit

# don't strip files
export EXCLUDE_FROM_STRIP="$(find %{buildroot} -type f \! -name nvidia-settings \! -name nvidia-xconfig)"

%post -n %{driverpkgname}
# XFdrake used to generate an nvidia.conf file
[ -L %{_sysconfdir}/modprobe.d/nvidia.conf ] || rm -f %{_sysconfdir}/modprobe.d/nvidia.conf

%define compat_ext %([ "%{_extension}" == ".bz2" ] || echo %{_extension})
%{_sbindir}/update-alternatives \
	--install %{_sysconfdir}/ld.so.conf.d/GL.conf gl_conf %{ld_so_conf_dir}/%{ld_so_conf_file} %{priority} \
	--slave %{_mandir}/man1/nvidia-settings.1%{_extension} man_nvidiasettings%{compat_ext} %{_mandir}/man1/alt-%{drivername}-settings.1%{_extension} \
	--slave %{_mandir}/man1/nvidia-xconfig.1%{_extension} man_nvidiaxconfig%{compat_ext} %{_mandir}/man1/alt-%{drivername}-xconfig.1%{_extension} \
	--slave %{_datadir}/applications/mageia-nvidia-settings.desktop nvidia_desktop %{nvidia_deskdir}/mageia-nvidia-settings.desktop \
	--slave %{_bindir}/nvidia-settings nvidia_settings %{nvidia_bindir}/nvidia-settings \
	--slave %{_bindir}/nvidia-xconfig nvidia_xconfig %{nvidia_bindir}/nvidia-xconfig \
	--slave %{_bindir}/nvidia-bug-report.sh nvidia_bug_report %{nvidia_bindir}/nvidia-bug-report.sh \
	--slave %{_sysconfdir}/X11/XvMCConfig xvmcconfig %{nvidia_xvmcconfdir}/XvMCConfig \
	--slave %{_sysconfdir}/X11/xinit.d/nvidia-settings.xinit nvidia-settings.xinit %{nvidia_xinitdir}/nvidia-settings.xinit \
	--slave %{_sysconfdir}/modprobe.d/display-driver.conf display-driver.conf %{_sysconfdir}/%{drivername}/modprobe.conf \
	--slave %{xorg_extra_modules} xorg_extra_modules %{nvidia_extensionsdir}
# empty line so that /sbin/ldconfig is not passed to update-alternatives
# explicit /sbin/ldconfig due to alternatives
/sbin/ldconfig -X

%postun -n %{driverpkgname}
if [ ! -f %{ld_so_conf_dir}/%{ld_so_conf_file} ]; then
  %{_sbindir}/update-alternatives --remove gl_conf %{ld_so_conf_dir}/%{ld_so_conf_file}
fi
# explicit /sbin/ldconfig due to alternatives
/sbin/ldconfig -X

%post -n dkms-%{drivername}
/usr/sbin/dkms --rpm_safe_upgrade add -m %{drivername} -v %{version}-%{release} && 
/usr/sbin/dkms --rpm_safe_upgrade build -m %{drivername} -v %{version}-%{release} &&
/usr/sbin/dkms --rpm_safe_upgrade install -m %{drivername} -v %{version}-%{release} --force

# rmmod any old driver if present and not in use (e.g. by X)
rmmod nvidia > /dev/null 2>&1 || true

%preun -n dkms-%{drivername}
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{drivername} -v %{version}-%{release} --all

# rmmod any old driver if present and not in use (e.g. by X)
rmmod nvidia > /dev/null 2>&1 || true

%clean
rm -rf %{buildroot}

%files -n %{driverpkgname}
%defattr(-,root,root)

%doc README.install.urpmi README.manual-setup
%doc %{pkgname}/usr/share/doc/*
%doc %{pkgname}/LICENSE

# ld.so.conf, modprobe.conf, xvmcconfig, xinit
%ghost %{_sysconfdir}/ld.so.conf.d/GL.conf
%ghost %{_sysconfdir}/X11/xinit.d/nvidia-settings.xinit
%ghost %{_sysconfdir}/modprobe.d/display-driver.conf
%dir %{_sysconfdir}/%{drivername}
%{_sysconfdir}/%{drivername}/modprobe.conf
%{_sysconfdir}/%{drivername}/ld.so.conf
%{_sysconfdir}/%{drivername}/XvMCConfig
%{_sysconfdir}/%{drivername}/nvidia-settings.xinit

%ghost %{_bindir}/nvidia-settings
%ghost %{_bindir}/nvidia-xconfig
%ghost %{_bindir}/nvidia-bug-report.sh
%dir %{nvidia_bindir}

%{nvidia_bindir}/nvidia-settings
%{nvidia_bindir}/nvidia-xconfig
%{nvidia_bindir}/nvidia-bug-report.sh

%ghost %{_mandir}/man1/nvidia-xconfig.1%{_extension}
%ghost %{_mandir}/man1/nvidia-settings.1%{_extension}
%{_mandir}/man1/alt-%{drivername}-xconfig.1*
%{_mandir}/man1/alt-%{drivername}-settings.1*

%ghost %{_datadir}/applications/mageia-nvidia-settings.desktop
%dir %{nvidia_deskdir}

%{nvidia_deskdir}/mageia-nvidia-settings.desktop

%{_miconsdir}/%{drivername}-settings.png
%{_iconsdir}/%{drivername}-settings.png
%{_liconsdir}/%{drivername}-settings.png

%dir %{nvidia_libdir}
%dir %{nvidia_libdir}/tls
%{nvidia_libdir}/libGL.so.1
%{nvidia_libdir}/libGL.so.%{version}
%{nvidia_libdir}/libGLcore.so.1
%{nvidia_libdir}/libGLcore.so.%{version}
%{nvidia_libdir}/libXvMCNVIDIA_dynamic.so.1
%{nvidia_libdir}/libXvMCNVIDIA.so.%{version}
%{nvidia_libdir}/libnvidia-cfg.so.1
%{nvidia_libdir}/libnvidia-cfg.so.%{version}
%{nvidia_libdir}/libnvidia-tls.so.1
%{nvidia_libdir}/libnvidia-tls.so.%{version}
%{nvidia_libdir}/tls/libnvidia-tls.so.1
%{nvidia_libdir}/tls/libnvidia-tls.so.%{version}
%ifarch %{biarches}
%dir %{nvidia_libdir32}
%dir %{nvidia_libdir32}/tls
%{nvidia_libdir32}/libGL.so.1
%{nvidia_libdir32}/libGL.so.%{version}
%{nvidia_libdir32}/libGLcore.so.1
%{nvidia_libdir32}/libGLcore.so.%{version}
%{nvidia_libdir32}/libnvidia-tls.so.1
%{nvidia_libdir32}/libnvidia-tls.so.%{version}
%{nvidia_libdir32}/tls/libnvidia-tls.so.1
%{nvidia_libdir32}/tls/libnvidia-tls.so.%{version}
%endif

%dir %{nvidia_modulesdir}

%{nvidia_extensionsdir}/libglx.so.%{version}
%{nvidia_extensionsdir}/libglx.so

%{nvidia_driversdir}/nvidia_drv.so

%files -n %{drivername}-devel
%defattr(-,root,root)
%{_includedir}/%{drivername}
%{nvidia_libdir}/libXvMCNVIDIA.a
%{nvidia_libdir}/libXvMCNVIDIA.a
%{nvidia_libdir}/libGL.so
%{nvidia_libdir}/libnvidia-cfg.so
%ifarch %{biarches}
%{nvidia_libdir32}/libGL.so
%endif

%files -n dkms-%{drivername}
%defattr(-,root,root)
%doc %{pkgname}/LICENSE
%{_usrsrc}/%{drivername}-%{version}-%{release}

%files -n %{drivername}-doc-html
%defattr(-,root,root)
%doc html-doc/*


%changelog
* Sun Apr 17 2011 anssi <anssi> 96.43.18-2.mga1
+ Revision: 87275
- remove extra alternatives slave mistakenly left after mga cleanup
- replace "alias" entry with "install" entry in modprobe.conf to follow
  upstream module-init-tools behavior
- disable conflicts on videodrv ABI, as it may cause X server to be
  uninstalled instead
- remove now unneeded modprobe.preload.d entry
- rename display-driver to display-driver.conf

* Tue Feb 22 2011 ahmad <ahmad> 96.43.18-1.mga1
+ Revision: 57016
- drop old/unneeded scriptlets
- drop some old conflicts
- rename the .desktop file to mageia-*
- rename the dyntwinview patch and edit it to say Mageia Control Center
- imported package nvidia-96xx


* Wed Jul 21 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 96.43.18-1mdv2011.0
+ Revision: 556315
- update to new version 96.43.18

* Wed May 05 2010 Anssi Hannula <anssi@mandriva.org> 96.43.16-2mdv2010.1
+ Revision: 542225
- add a modprobe.preload.d entry loading the module before X server
- blacklist nouveau in modprobe.d entry as udev will now otherwise load it

* Sat Feb 13 2010 Anssi Hannula <anssi@mandriva.org> 96.43.16-1mdv2010.1
+ Revision: 505524
- new version
- drop 2.6.33 patch, fixed upstream

* Thu Jan 28 2010 Anssi Hannula <anssi@mandriva.org> 96.43.14-2mdv2010.1
+ Revision: 497720
- fix .spec comment of missing-header.patch
- fix build with kernel 2.6.33+ (2.6.33.patch)
- fix backportability of missing-header.patch
- use -X with ldconfig
- strip self-built GPL binaries

* Sun Nov 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 96.43.14-1mdv2010.1
+ Revision: 468838
- Patch5: add missing header in nvidia-settings
- update to new version 96.43.14
- correct url for Source3

* Mon Oct 26 2009 Christophe Fergeau <cfergeau@mandriva.com> 96.43.13-7mdv2010.0
+ Revision: 459350
- rebuild to get server-latest right

* Fri Oct 23 2009 Christophe Fergeau <cfergeau@mandriva.com> 96.43.13-6mdv2010.0
+ Revision: 459009
- trigger rebuild since the -latest packages are wrong

* Sun Oct 18 2009 Anssi Hannula <anssi@mandriva.org> 96.43.13-5mdv2010.0
+ Revision: 458087
- fix parse error on Disable keyword in Load section of xorg.conf when
  trying to modify xorg.conf with nvidia-settings or nvidia-xconfig
  (add-disable-keyword.patch from upstream, fixes bug #53937)

* Fri Sep 25 2009 Anssi Hannula <anssi@mandriva.org> 96.43.13-4mdv2010.0
+ Revision: 449068
- add a comment to nvidia-settings xinit file
- fix loading of nvidia-settings settings on X startup (fixes #53936,
  reported by Barry Jackson, fix found by Gabi Teo)
- re-add update-menus for 2008.1 and earlier

* Wed Jul 22 2009 Anssi Hannula <anssi@mandriva.org> 96.43.13-3mdv2010.0
+ Revision: 398560
- restore 2009.1 XFdrake support (broken in previous release)
- fix title formatting of man pages (fixes #41638)
- rename man pages again from disabled-* to alt-*

* Sat Jul 18 2009 Anssi Hannula <anssi@mandriva.org> 96.43.13-2mdv2010.0
+ Revision: 397039
- load nvidia-settings configuration automatically when logging in (can
  be disabled with LOAD_NVIDIA_SETTINGS="no" in
  /etc/sysconfig/nvidia-settings
- build nvidia-settings and nvidia-xconfig from their source code
  tarballs (GPLv2)
- provide instructions for enabling dynamic twinview in nvidia-settings
  error message (enable-dyntwinview-mdv.patch, fixes #39921)
- fix format-string warnings in nvidia-settings (format-string.patch)
- make nvidia-xconfig build with ldflags (ldflags-order.patch)
- clean spec
- fix license tag
- update descriptions
- use more wildcards in %%install and less in %%files
- rename man pages of non-enabled drivers to disabled-* instead of making
  them hidden files
- remove libGL.la as no static library is provided
- use xorg_extra_modules on 2009.1+ for nvidia_drv.so as well

* Sun Jun 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 96.43.13-1mdv2010.0
+ Revision: 390145
- update to new version 96.43.13

* Sat Jun 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 96.43.12-1mdv2010.0
+ Revision: 389618
- update to new version 96.43.12
- drop patch 2

* Wed May 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 96.43.11-6mdv2010.0
+ Revision: 380245
- Patch0: fix compilation against kernel 2.6.30

* Mon Apr 13 2009 Anssi Hannula <anssi@mandriva.org> 96.43.11-5mdv2009.1
+ Revision: 366536
- adapt for dropped alternatives on /usr/bin/Xorg

* Sat Mar 21 2009 Anssi Hannula <anssi@mandriva.org> 96.43.11-4mdv2009.1
+ Revision: 359876
- revert unneeded hacks

* Thu Mar 19 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 96.43.11-3mdv2009.1
+ Revision: 357785
- ensure the alternatives links are created if its current state is manual

* Tue Mar 17 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 96.43.11-2mdv2009.1
+ Revision: 356865
- Adapt to recent alternatives changes (xorg extra modules dir)

* Fri Mar 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 96.43.11-1mdv2009.1
+ Revision: 350000
- update to new version 96.43.11

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 96.43.10-1mdv2009.1
+ Revision: 334219
- update to new version 96.43.10

* Sun Nov 09 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 96.43.09-1mdv2009.1
+ Revision: 301419
- update to new version 96.43.09
- patch0 has been merged by upstream
- kill_proc patch probably has been fixed inside nvidia blob

* Thu Aug 28 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 96.43.07-5mdv2009.0
+ Revision: 276946
- Fix x86_64 build after previous commit.
- Added support to build against linux 2.6.27, some changes backported
  from nvidia-current.

* Sun Aug 10 2008 Anssi Hannula <anssi@mandriva.org> 96.43.07-4mdv2009.0
+ Revision: 270244
- adapt for libdri.so handled by alternatives

* Sun Jul 20 2008 Anssi Hannula <anssi@mandriva.org> 96.43.07-3mdv2009.0
+ Revision: 239186
- call ldconfig explicitely, not handled by filetriggers in this case

* Fri Jul 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 96.43.07-2mdv2009.0
+ Revision: 238106
- drop patch from dkms.conf

* Fri Jul 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 96.43.07-1mdv2009.0
+ Revision: 238062
- upstream has removed libnvidia-cfg for x86_64
- update to new version 96.43.07

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 01 2008 Anssi Hannula <anssi@mandriva.org> 96.43.05-4mdv2008.1
+ Revision: 191504
- add versioned requires on kernel module on 2008.1

* Thu Mar 27 2008 Anssi Hannula <anssi@mandriva.org> 96.43.05-3mdv2008.1
+ Revision: 190680
- add upstream patch for 2.6.25 support, enabled conditionally

* Thu Mar 20 2008 Anssi Hannula <anssi@mandriva.org> 96.43.05-2mdv2008.1
+ Revision: 189242
- split html version of the documentation into nvidia96xx-doc-html
- do not ship headers in documentation directory

* Tue Feb 05 2008 Anssi Hannula <anssi@mandriva.org> 96.43.05-1mdv2008.1
+ Revision: 162736
- drop 2.6.24 patch, fixed upstream
- 96.43.05
- restore menu in 2006.0 builds

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 07 2007 Anssi Hannula <anssi@mandriva.org> 96.43.01-2mdv2008.1
+ Revision: 116350
- add 2.6.24 support patch (#35771)
- ignore xen presence as the main kernel is now xen-enabled

* Mon Oct 15 2007 Anssi Hannula <anssi@mandriva.org> 96.43.01-1mdv2008.1
+ Revision: 98705
- 96.43.01
- drop 2.6.23 patches, fixed upstream
- add category GTK into the nvidia-settings desktop entry
- use Makefile.kbuild explicitely for cleaning to prevent bad exit
  status during cleaning of the build area

* Sun Sep 16 2007 Anssi Hannula <anssi@mandriva.org> 1.0-9639.4mdv2008.0
+ Revision: 87830
- add patches for 2.6.23 support

* Fri Aug 31 2007 Anssi Hannula <anssi@mandriva.org> 1.0-9639.3mdv2008.0
+ Revision: 76976
- fix alternatives on backports

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sun Aug 26 2007 Anssi Hannula <anssi@mandriva.org> 1.0-9639.2mdv2008.0
+ Revision: 71695
- use alternatives for libglx.so
- rename source rpm to nvidia-96xx to allow renaming binary packages
  when backporting to old releases
- shorten dkms driver name
- drop old requires on drakxtools
- use conflicts instead of requires on harddrake and drakx-kbd-mouse-x11
  (Thierry Vignaud)

* Thu Aug 09 2007 Anssi Hannula <anssi@mandriva.org> 1.0-9639.1mdv2008.0
+ Revision: 60666
- do not call the next dkms step if previous fails
- 1.0-9639
- clean .spec
- fix 2007.0 compatibility
- drop unneeded ioctl32.patch
- use %%{version}-%%{release} for dkms PACKAGE_VERSION
- alternativeszificate unversioned libwfb.so properly
- do not add nvidia to modprobe.preload in 2007.0 either
- do not modprobe nvidia module in %%post, rmmod it instead
- remove packager tag, prefix tag, requires on glibc
- fix file requires
- clean libGL.so.1 from provides (bug #28216)
- add URL
- include nvidia tools, handled by alternatives (bug #29107)
- require new update-alternatives instead of workarounding bugs
- provide XvMCConfig via alternatives (bug #29109)
- add post and preun script requires on dkms
- better descriptions and summaries
- add README.install.urpmi and README.manual-setup
- add support for 2006.0 (requested by Giuseppe)
- add devel package (requested by Giuseppe)
- rename from nvidia96xx to x11-driver-video-nvidia96xx
- versionize obsoletes to avoid future problems
- Import nvidia96xx



* Mon Mar 26 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-9631.3mdv
- don't add modules to /etc/mod{ules,probe.preload} (#29111)
- move libXvMCNVIDIA_dynamic.so.1 to %%{_libdir}/%%{name} (#29108)

* Thu Mar  1 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-9631.2mdv
- remove XFdrake generated modprobe.conf

* Thu Mar  1 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-9631.1mdv
- 96.31
- new layout for MDV 2007.1
- increase priority to match version level

* Wed Nov  8 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-9629-1mdv
- 96.29

* Fri Nov  3 2006 Arnaud Patard <apatard@mandriva.com> 1.0-8776-1mdv
- 87.76

* Wed Sep 13 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-8774-3mdv
- Use an alternative for the X.org module too

* Sat Sep  9 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-8774-2mdk
- Use nvidia_drv.so for X.org 7.1
- Move nvidia.conf to ld.so.conf.d/GL/
- Move GL libraries to an nvidia/ subdir

* Fri Aug 25 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-8774-1mdk
- 87.74

* Thu Aug 24 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-8762-1mdk
- 87.62

* Mon Apr 10 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-8756-1mdk
- 87.56

* Tue Dec 27 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-8178-1mdk
- 81.78

* Tue Dec  6 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-8174-1mdk
- 81.74

* Thu Sep 29 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-8163-1mdk
- 81.63

* Fri Sep 16 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 7676-5mdk
- make ld.so.conf.d/%%{name}.conf config(noreplace)

* Mon Sep 12 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 7676-4mdk
- fix scriptlets

* Thu Sep  1 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 7676-3mdk
- description improvements
- ship with 32-bit tls libraries in the right subdir

* Fri Aug 26 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 7676-2mdk
- move libglx.so to an nvidia/ subdir for X.org 6.9

* Wed Aug 17 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 7676-1mdk
- 76.76

* Wed Jul  6 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-7667-2mdk
- ship with nvidia-bug-report.sh

* Mon Jul  4 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-7667-1mdk
- 76.67

* Tue Jun  7 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0-7664-1mdk
- 76.64

* Fri Apr  8 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-7174-1mdk
- 71.74

* Tue Mar 15 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-7167-2mdk
- 1.0-7167 for Linux x86/x86-64 updates (zander, nvnews.net)

* Fri Mar 11 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-7167-1mdk
- 71.67

* Fri Feb 18 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6633-1mdk
- 6633.

* Thu Jan 20 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6629-2mdk
- ship with tls library symlinks on 10.0/corpo

* Tue Dec  7 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6629-1mdk
- 6629.

* Tue Oct 26 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6111-2mdk
- move to dkms build

* Thu Aug 19 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6111-1mdk
- 6111.

* Wed Jul 28 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6106-2mdk
- fix build with kernel 2.4

* Fri Jul  2 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6106-1mdk
- 6106.

* Tue Jun  8 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6098-1mdk
- 6098.

* Fri May 28 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.0-6097-1mdk
- 6097.

* Wed May 26 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6096-3mdk
- move nvidia GL libs to a subdir

* Mon May 24 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6096-2mdk
- lib64 and 32-bit tls fixes

* Wed May 19 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.0-6096-1mdk
- First new release for x86_64.

